org.keycloak.protocol.oidc.utils

## Class RedirectUtils

- java.lang.Object
- - org.keycloak.protocol.oidc.utils.RedirectUtils

-     public class RedirectUtils
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedirectUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Set<String>` | `resolveValidRedirects(javax.ws.rs.core.UriInfo uriInfo, String rootUrl, Set<String> validRedirects)`
    `static String` | `verifyRealmRedirectUri(javax.ws.rs.core.UriInfo uriInfo, String redirectUri, RealmModel realm)`
    `static String` | `verifyRedirectUri(javax.ws.rs.core.UriInfo uriInfo, String redirectUri, RealmModel realm, ClientModel client)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RedirectUtils

          public RedirectUtils()

  - ### Method Detail

    - #### verifyRealmRedirectUri

          public static String verifyRealmRedirectUri(javax.ws.rs.core.UriInfo uriInfo,
                                                      String redirectUri,
                                                      RealmModel realm)

    - #### verifyRedirectUri

          public static String verifyRedirectUri(javax.ws.rs.core.UriInfo uriInfo,
                                                 String redirectUri,
                                                 RealmModel realm,
                                                 ClientModel client)

    - #### resolveValidRedirects

          public static Set<String> resolveValidRedirects(javax.ws.rs.core.UriInfo uriInfo,
                                                          String rootUrl,
                                                          Set<String> validRedirects)

Copyright © 2016 JBoss by Red Hat. All rights reserved.